compile error under RH7.3 - libcurl.la not found

Kevin P. Fleming kpfleming at linuxfromscratch.org
Mon Mar 8 08:00:15 PST 2004


Harvey Ehrenholz wrote:
> Good morning (EST anway...),
> 
>    I'm trying to install nALFS-1.2.2 on a default RedHat 7.3 install;  
> The curl versions installed by RHL7.3 are curl-7.9.5-2 and 
> curl-devel-7.9.5-2.  I see the following error when running Make - all 
> configure options are left as default.  Any idea why I might see this?
> 
> /bin/sh ./libtool --silent --mode=link gcc -W -Wall -Wshadow -Winline -g 
> -O2 -o src/lib/libnALFS.la -rpath /usr/local/lib -avoid-version 
> src/lib/src_lib_libnALFS_la-digest.lo 
> src/lib/src_lib_libnALFS_la-file_handling.lo 
> src/lib/src_lib_libnALFS_la-get_url.lo 
> src/lib/src_lib_libnALFS_la-load_url.lo 
> src/lib/src_lib_libnALFS_la-md5.lo -lcurl  -lssl -lcrypto -ldl/libcurl.la

This last argument is not correct.. what did you specify for --with-curl 
on the configure command line, if you did? If you didn't, you should 
have a libcurl.la file in /usr/lib, we'll need to see the contents of it 
(it's a text file).



More information about the alfs-discuss mailing list